OpenJPEG: opj_tcd_cblk_dec Struct Reference

OpenJPEG 2.5.4

Data Fields
opj_tcd_cblk_dec Struct Reference

Code-block for decoding. More...

`#include <tcd.h>`

## Data Fields
opj_tcd_seg_t * | segs
opj_tcd_seg_data_chunk_t * | chunks
OPJ_INT32 | x0
OPJ_INT32 | y0
OPJ_INT32 | x1
OPJ_INT32 | y1
OPJ_UINT32 | Mb
OPJ_UINT32 | numbps
OPJ_UINT32 | numlenbits
OPJ_UINT32 | numnewpasses
OPJ_UINT32 | numsegs
OPJ_UINT32 | real_num_segs
OPJ_UINT32 | m_current_max_segs
OPJ_UINT32 | numchunks
OPJ_UINT32 | numchunksalloc
OPJ_INT32 * | decoded_data
OPJ_BOOL | corrupted

## Detailed Description

Code-block for decoding.

## Field Documentation

## ◆ chunks

opj_tcd_seg_data_chunk_t* opj_tcd_cblk_dec::chunks

Referenced by opj_t1_decode_cblk(), opj_t1_ht_decode_cblk(), opj_t2_read_packet_data(), opj_tcd_code_block_dec_allocate(), and opj_tcd_code_block_dec_deallocate().

## ◆ corrupted

OPJ_BOOL opj_tcd_cblk_dec::corrupted

Referenced by opj_t1_decode_cblk(), and opj_t2_read_packet_data().

## ◆ decoded_data

OPJ_INT32* opj_tcd_cblk_dec::decoded_data

Referenced by opj_dwt_init_sparse_array(), opj_t1_clbl_decode_processor(), opj_t1_decode_cblk(), opj_t1_decode_cblks(), opj_tcd_code_block_dec_allocate(), and opj_tcd_code_block_dec_deallocate().

## ◆ m_current_max_segs

OPJ_UINT32 opj_tcd_cblk_dec::m_current_max_segs

Referenced by opj_t2_init_seg(), and opj_tcd_code_block_dec_allocate().

## ◆ Mb

OPJ_UINT32 opj_tcd_cblk_dec::Mb

Referenced by opj_t1_ht_decode_cblk(), and opj_t2_read_packet_header().

## ◆ numbps

OPJ_UINT32 opj_tcd_cblk_dec::numbps

Referenced by opj_t1_decode_cblk(), opj_t1_ht_decode_cblk(), and opj_t2_read_packet_header().

## ◆ numchunks

OPJ_UINT32 opj_tcd_cblk_dec::numchunks

Referenced by opj_t1_decode_cblk(), opj_t1_ht_decode_cblk(), and opj_t2_read_packet_data().

## ◆ numchunksalloc

OPJ_UINT32 opj_tcd_cblk_dec::numchunksalloc

Referenced by opj_t2_read_packet_data(), and opj_tcd_code_block_dec_allocate().

## ◆ numlenbits

OPJ_UINT32 opj_tcd_cblk_dec::numlenbits

Referenced by opj_t2_read_packet_header().

## ◆ numnewpasses

OPJ_UINT32 opj_tcd_cblk_dec::numnewpasses

Referenced by opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## ◆ numsegs

OPJ_UINT32 opj_tcd_cblk_dec::numsegs

Referenced by opj_t1_ht_decode_cblk(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## ◆ real_num_segs

OPJ_UINT32 opj_tcd_cblk_dec::real_num_segs

Referenced by opj_t1_decode_cblk(), opj_t2_read_packet_data(), and opj_t2_read_packet_header().

## ◆ segs

opj_tcd_seg_t* opj_tcd_cblk_dec::segs

Referenced by opj_t1_decode_cblk(), opj_t1_ht_decode_cblk(), opj_t2_init_seg(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_code_block_dec_allocate(), and opj_tcd_code_block_dec_deallocate().

## ◆ x0

OPJ_INT32 opj_tcd_cblk_dec::x0

Referenced by opj_dwt_init_sparse_array(), opj_t1_clbl_decode_processor(), opj_t1_decode_cblk(), opj_t1_decode_cblks(), opj_t1_ht_decode_cblk(), and opj_tcd_init_tile().

## ◆ x1

OPJ_INT32 opj_tcd_cblk_dec::x1

Referenced by opj_dwt_init_sparse_array(), opj_t1_clbl_decode_processor(), opj_t1_decode_cblk(), opj_t1_decode_cblks(), opj_t1_ht_decode_cblk(), and opj_tcd_init_tile().

## ◆ y0

OPJ_INT32 opj_tcd_cblk_dec::y0

Referenced by opj_dwt_init_sparse_array(), opj_t1_clbl_decode_processor(), opj_t1_decode_cblk(), opj_t1_decode_cblks(), opj_t1_ht_decode_cblk(), and opj_tcd_init_tile().

## ◆ y1

OPJ_INT32 opj_tcd_cblk_dec::y1

Referenced by opj_dwt_init_sparse_array(), opj_t1_clbl_decode_processor(), opj_t1_decode_cblk(), opj_t1_decode_cblks(), opj_t1_ht_decode_cblk(), and opj_tcd_init_tile().

The documentation for this struct was generated from the following file:

- tcd.h